# ScriptFunctionsNew.py - script functions developed for StarDrop Query Interface
# Use of this code is subject to the terms of the StarDrop License Agreement and use, copying or redistribution of this file for use by other persons or organisations is prohibited
# Copyright(C) Optibrium Ltd 2016
# stardrop-support@optibrium.com
#
"""
Module controls the access to query interface functionality via the StarDrop custom menu.
"""

import PythonQt
import sciencecloudaccess


def access_science_cloud(appui):
    sciencecloudaccess.accessLibrary(appui)

def query_science_cloud(appui):
    sciencecloudaccess.accessQuery(appui)



Functions = []
Functions.append({'name': 'ScienceCloud/Download from Science Cloud...', 'callback': access_science_cloud})
Functions.append({'name': 'ScienceCloud/Run query from Science Cloud...', 'callback': query_science_cloud})
